GET /api/v3/report/subscription/scheduletype

Get a list of all available report subscription schedule types, and their day indicator values

GetReportSubscriptionScheduleTypesV3 Permissions: Reports (Run)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

ReportSubscriptionScheduleTypeResponse
Property Description Type
dayIndicators Available day indicators for this schedule type ReportSubscriptionDayIndicatorChild[]
ReportSubscriptionDayIndicatorChild properties
Property Description Type
dayIndicatorInfo Name of the day indicator Daily: None Weekly: One of Sunday to Saturday Monthly: One of 1 to 28 Quarterly: 1st day of month 1 of calendar quarter, 1st day of month 2 of calendar quarter, 1st day of month 3 of calendar quarter string
dayIndicatorValue Indicates when to send the report for the given schedule type Values may be: Daily: 0 Weekly: Day of Week - 0 (Sunday) to 6 (Saturday) Monthly: Day of Month - 1 to 28 Quarterly: Month in Quarter - 1, 2, or 3 integer (int32)
reportSubscriptionScheduleTypeId The identifier of the schedule type integer (int32)
reportSubscriptionScheduleTypeName The name of the schedule type string
Example Response application/json
[
  {    "dayIndicators": [
      {      "dayIndicatorInfo": "string",      "dayIndicatorValue": 1
    }
    ],    "reportSubscriptionScheduleTypeId": 1,    "reportSubscriptionScheduleTypeName": "string"
  }
]